<template>
  <div class="block-content">
    <div class="welcome">
      <div class="imghome">
        <img src="../assets/ecommerce-label-implementation.jpg" id="img" />
      </div>
    </div>
    <div class="goto">
      <h2>Start your package tracking here!</h2>
      <div id="wrap">
        <div class="sent">
          <img src="../assets/post.jpg" />
          <a
            href="javascript:void(0)"
            v-on:click="sent_track()"
            class="button"
          >I have sent something</a>
        </div>
        <div class="recieve">
          <img src="../assets/tracking-img.jpg" />
          <a
            href="javascript:void(0)"
            v-on:click="$emit('change-component', 'Tracking')"
            class="button"
          >
            Im waiting for
            <br />something
          </a>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: 'Home',
  props: {
    user: Object,
  },
  methods: {
    sent_track() {
      if (this.checkUser()) {
        this.$emit('change-component', 'Tracking sent');
      } else {
        this.$emit('not-logged', 'Please Log in to use \n this functionality!');
      }
    },
    checkUser() {
      return (this.user.userName);
    },
  },
};
</script>

<style scoped>
@import "../CSS/Home.css";
</style>
